package cn.com.qmth.examcloud.common.dto.examwork;

import java.io.Serializable;

/**
 * @author  	chenken
 * @date    	2018年1月15日 下午3:07:48
 * @company 	QMTH
 * @description ExamStudent.java
 */
public class CommonExamStudent implements Serializable{
	
	private static final long serialVersionUID = -6784281319982374388L;
	
	private Long id;
	/**
	 * 考试批次ID
	 */
	private Long examId;
	/**
	 * 学习中心id
	 */
    private Long orgId;
    /**
	 * 课程code
	 */
	private String courseCode;
	/**
	 * 课程等级
	 */
	private String courseLevel;
	/**
	 * 考生姓名
	 */
	private String name;
	/**
	 * 学号
	 */
	private String studentCode;
	/**
	 * 身份证号
	 */
	private String identityNumber;
	/**
	 * 是否为重考
	 */
	private Boolean isReexamine;
	/**
	 * 重考原因类型
	 */
	private String reexamineType;
	/**
	 * 重考原因详情
	 */
	private String reexamineDetail;
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseLevel() {
		return courseLevel;
	}
	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getStudentCode() {
		return studentCode;
	}
	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}
	public String getIdentityNumber() {
		return identityNumber;
	}
	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}
	public Boolean getIsReexamine() {
		return isReexamine;
	}
	public void setIsReexamine(Boolean isReexamine) {
		this.isReexamine = isReexamine;
	}
	public String getReexamineType() {
		return reexamineType;
	}
	public void setReexamineType(String reexamineType) {
		this.reexamineType = reexamineType;
	}
	public String getReexamineDetail() {
		return reexamineDetail;
	}
	public void setReexamineDetail(String reexamineDetail) {
		this.reexamineDetail = reexamineDetail;
	}
	
}

